# List the Braintree subscriptions of a user Lists all Braintree subscriptions for the logged-in user. Endpoint: GET /blaize/payment/braintree/subscriptions Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Header parameters: - `cookie` (string) The session cookie. Example: "`blaize_session=...` (string)" ## Response 200 fields (application/json): - `managed-by` (string, required) The name of payment provider capitalised. Example: "Braintree" - `ends` (string) ISO-8601 formatted time at which the subscription was canceled. This field will be omitted if the subscription is not canceled. Example: "2021-05-17T04:31:33Z" - `external-id` (string, required) The ID for this subscription in Braintree. Example: "abc123" - `next-billing-time` (string, required) ISO-8601 formatted time at which the subscription will next be billed. Example: "2021-05-17T04:31:33Z" - `blaize-product` (object, required) - `blaize-product.tenantId` (string) Zephr tenant ID and site slug Example: "your-tenant|site-slug" - `blaize-product.subTenantId` (string) Zephr subtenant ID and site slug Example: "your-tenant|site-slug" - `blaize-product.id` (string) Zephr product ID Example: "one-month-one-off" - `blaize-product.label` (string) Zephr product label Example: "One month access" - `blaize-product.description` (string) Description of Zephr product Example: "One month access" - `blaize-product.entitlement` (object) - `blaize-product.entitlement.id` (string) Zephr product entitlement ID Example: "191f6d00-b8d4-46f1-a22d-2bf53f4f8fa3" - `blaize-product.entitlement.type` (string) Zephr product entitlement type Example: "bundle" - `blaize-product.mapping` (object) - `blaize-product.mapping.recurring` (object) - `blaize-product.mapping.recurring.plans` (array) Recurring plans assigned to this product - `blaize-product.mapping.recurring.plans.id` (string) - `blaize-product.mapping.recurring.plans.label` (string) - `blaize-product.mapping.recurring.plans.archived` (boolean) - `blaize-product.mapping.recurring.plans.billingCycles` (number) Number of billing cycles for this plan, null if none defined - `blaize-product.mapping.recurring.plans.paymentProvider` (string) Payment provider name in lowercase Example: "braintree" - `blaize-product.mapping.recurring.multiPhasedPlans` (array) Multi-phased plans are not supported in Braintree, this will be null - `blaize-product.mapping.oneOff` (object) - `blaize-product.mapping.oneOff.plans` (array) - `blaize-product.mapping.oneOff.plans.label` (string) always null - `blaize-product.mapping.oneOff.plans.billingCycles` (number) always null - `blaize-product.mapping.oneOff.plans.accessDuration` (object) - `blaize-product.mapping.oneOff.plans.accessDuration.duration` (number) Number of months this plan provides Example: 2 - `blaize-product.mapping.oneOff.plans.accessDuration.unit` (string) always 'MONTHS' Example: "MONTHS" - `blaize-product.mapping.jwt` (object) - `blaize-product.mapping.jwt.claim_value` (string) - `blaize-product.sharingLimit` (number) The number of users this product can be shared with. Users can share the product multiple times by canceling previous shares. A value of 0 indicates that the product is not shareable. - `transaction-history` (array, required) - `transaction-history.time` (string) ISO-8601 formatted time at which the transaction was made. Example: "2024-02-15T11:30:58Z" - `transaction-history.currency` (string) Example: "EUR" - `transaction-history.cents` (number) Example: 900 - `transaction-history.cycle` (string) Example: "month" - `transaction-history.cycleCount` (number) Example: 1 - `transaction-history.currencyCode` (string) ISO 4217 currency code for this currency. Example: "EUR" - `transaction-history.human-readable-amount` (string) Example: "€9.0" - `subscription-state` (string, required) The subscription state, as acquired from Braintree. Enum: "Active", "Canceled", "Expired", "Past Due", "Pending", "Unrecognized" - `paid_through_date` (string) ISO-8601 formatted time up to which the subscription has been paid for. This will be null if the subscription has not yet been paid for. Example: "2021-05-17T04:31:33Z" - `plan_id` (string, required) The Braintree plan ID Example: "plan-123" - `plan_name` (string, required) The Braintree plan name Example: "monthly-plan" - `billing_frequency_unit` (string, required) The time unit of the billing frequency. Braintree only supports MONTH. Enum: "MONTH" - `billing_frequency` (number, required) The frequency at which the subscription is billed, in the units specified by billing_frequency_unit. Example: 1 - `currency_code` (string, required) The currency of the subscription price. Example: "GBP" - `pre_discount_price` (number, required) The subscription price before any discounts are applied. Example: 50 - `multiphase_plan` (boolean, required) Always false, as Braintree does not support multi-phased plans. - `discounts_applied` (boolean, required) If the subscription has any applied discounts. Example: true ## Response 401 fields ## Response 404 fields